Skip to main content
POST
/
crm
/
associations
/
v4
/
{fromObjectType}
/
{toObjectType}
/
labels
Create association label
curl --request POST \
  --url https://api.hubapi.com/crm/associations/v4/{fromObjectType}/{toObjectType}/labels \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "name": "<string>",
  "inverseLabel": "<string>"
}
'
{
  "results": [
    {
      "category": "HUBSPOT_DEFINED",
      "typeId": 123,
      "label": "<string>"
    }
  ]
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fromObjectType
string
required
toObjectType
string
required

Body

application/json
label
string
required

A descriptor that provides context about the relationship between two associated CRM objects.

name
string
required

The unique identifier for the association definition.

inverseLabel
string

An optional descriptor that clarifies the reverse relationship in the association.

Response

successful operation

results
object[]
required
Last modified on February 12, 2026